Subject: [IPP] Fwd: [saag] Where-to I-Ds: HTTP Auth with SASL, EAP method for SASL

From: Ira McDonald <[email-masked]>
Date: Tue, 15 Aug 2017 09:36:16 -0400

Hi,

New work on an HTTP Authentication method using SASL.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434

---------- Forwarded message ----------
From: Rick van Rein <[email-masked]>
Date: Tue, Aug 15, 2017 at 3:08 AM
Subject: [saag] Where-to I-Ds: HTTP Auth with SASL, EAP method for SASL
To: [email-masked]

Hello SAAG,

I have just posted two I-Ds and am looking where to send them, since the
HTTP Auth WG and EAP WG have both been concluded.  Could you advise me?

https://datatracker.ietf.org/doc/draft-vanrein-httpauth-sasl/

   This one explains how SASL can be used as an HTTP Auth mechanism.
   This turns out to be beneficial for SASL as well as HTTP.

https://datatracker.ietf.org/doc/draft-vanrein-eap-sasl/

   This one allows the various front-ends that use SASL to relay the
   interaction to a backend over EAP, which in turn might be carried
   over Diameter or RADIUS.

I was advised to ask for directions here, so if you have suggestions
than I would love to hear them.

FYI, EAP requires a specification and an expert review, so it could
be an independent submission.  I currently think that would be best.

And, HTTP Auth through SASL registers an Authentication Scheme, for
which IETF Review is the standard.

Thank you,

Rick van Rein
InternetWide.org / ARPA2.net / OpenFortress.nl

_______________________________________________
saag mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/saag
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp